take_while.hpp File Reference

## Classes

struct | ranges::iter_take_while_view< Rng, Pred >
struct | ranges::take_while_view< Rng, Pred >
struct | ranges::views::iter_take_while_base_fn
struct | ranges::views::iter_take_while_fn
struct | ranges::views::take_while_base_fn
struct | ranges::views::take_while_bind_fn
struct | ranges::views::take_while_fn

## Functions

template<typename Rng , typename Pred >
CPP_TEMPLATE_AUX_0 | ranges::cpp20::u (requires viewable_range< Rng > &&input_range< Rng > &&predicate< Pred &, iterator_t< Rng >> &&copy_constructible< Pred >) uuusing take_while_view